import type { User, InviteUser } from '../models/Admin.js';
declare class UserService {
    getUserById(id: number): Promise<User | null>;
    getUsersByAccountId(accountId: number): Promise<User[]>;
    getAnUserByAccountId(accountId: number): Promise<User | null>;
    getUserByEmail(email: string): Promise<User | null>;
    getUserByResetPasswordToken(link: string): Promise<User | null>;
    createUser(email: string, name: string, hashedPassword: string, salt: string, accountId: number): Promise<User | null>;
    editUserPassword(user: User): Promise<number>;
    editUserName(name: string, id: number): Promise<number>;
    changePassword(newPassword: string, oldPassword: string, id: number): Promise<number>;
    suspendUser(id: number): Promise<void>;
    inviteUser(email: string, name: string, accountId: number, inviter_id: number): Promise<InviteUser | null>;
    getInvitedUsersByAccountId(accountId: number): Promise<InviteUser[]>;
    getInvitedUserByToken(token: string): Promise<InviteUser | null>;
    markAcceptedInvite(token: string): Promise<number>;
}
declare const _default: UserService;
export default _default;
